openQA Project - action #71227

coordination # 102906 (New): [saga][epic] Increased stability of tests with less "known failures”, known incompletes handled automatically within
openQA

coordination # 102909 (New): [epic] Prevent more incompletes already within os-autoinst or openQA
job incompletes with auto_review:"backend died: 'current_console' is not set at
/ust/lib/os-autoinst/backend/baseclass.pm line 932."
2020-09-11 07:47 - Xiaojing_liu

Status: Workable Start date: 2020-09-11
Priority: Low Due date:

Assignee: % Done: 0%
Category: Feature requests Estimated time: 0.00 hour
Target version: future

Difficulty:

Description

Observation

https://openqga.suse.de/tests/4673747 in incomplete, reason is: "Backend process died: 'current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932."
https://openqga.suse.de/tests/4673747/file/autoinst-log.txt shows:

[37Tm[2020-09-11T02:59:50.763 CEST] [debug] Backend process died, backend errors are reported below
in the following lines:
'current_console' is not set at /usr/lib/os—autoinst/backend/baseclass.pm line 932.

backend: :baseclass::wait_serial (backend: :svirt=HASH (0x55a087239%9aa8), HASH(0x55a08804a420)) cal
led at /usr/lib/os—autoinst/backend/baseclass.pm line 89

backend: :baseclass: :handle_command (backend: :svirt=HASH (0x55a087239%9aa8), HASH (0x55a088c2c420))
called at /usr/lib/os-autoinst/backend/baseclass.pm line 625

backend: :baseclass: :check_socket (backend: :svirt=HASH (0x55a087239%aa8), I0::Handle=GLOB(0x55a087
bb56£f8), 0) called at /usr/lib/os—autoinst/backend/svirt.pm line 337

backend: :svirt: :check_socket (backend: :svirt=HASH (0x55a087239%aa8), IO::Handle=GLOB (0x55a087bb56
£f8), 0) called at /usr/lib/os—autoinst/backend/baseclass.pm line 276

eval {...} called at /usr/lib/os—-autoinst/backend/baseclass.pm line 191

backend: :baseclass: :run_capture_loop (backend: :svirt=HASH (0x55a087239%aa8)) called at /usr/lib/o
s—autoinst/backend/baseclass.pm line 146

backend: :baseclass: :run (backend: :svirt=HASH (0x55a087239%aa8), 13, 16) called at /usr/lib/os-aut
oinst/backend/driver.pm line 86

backend: :driver::_ ANON__ (Mojo::IOLoop: :ReadWriteProcess=HASH (0x55a087733d48)) called at /usr/
lib/perl5/vendor_perl/5.26.1/Mojo/I0Loop/ReadWriteProcess.pm line 326

eval {...} called at /usr/lib/perl5/vendor_perl/5.26.1/Mojo/I0Loop/ReadWriteProcess.pm line 32

Mojo::I0Loop: :ReadWriteProcess::_fork (Mojo::I0Loop: :ReadWriteProcess=HASH (0x55a087733d48), COD
E (0x55a088ef7228)) called at /usr/lib/perl5/vendor_perl/5.26.1/Mojo/I0Loop/ReadWriteProcess.pm lin
e 477

Mojo::IO0OLoop: :ReadWriteProcess::start (Mojo::I0Loop: :ReadWriteProcess=HASH (0x55a087733d48)) cal
led at /usr/lib/os—autoinst/backend/driver.pm line 88

backend: :driver: :start (backend: :driver=HASH (0x55a0884b1268)) called at /usr/lib/os—autoinst/ba
ckend/driver.pm line 52

backend: :driver: :new ("backend: :driver", "svirt") called at /usr/bin/isotovideo line 222

main::init_backend () called at /usr/bin/isotovideo line 273

Checking the git log of test distri between "first bad" and "last good" (when tests were green again) shows:

$ git logl --no-merges de%9fd2b5dcf5d9bc31807e29cd720ac80alc7£9f. .bb6dcd672£fc0177c4£b20d7d£d08ddb82
4e0d0a4

f9f7351lab Remove /tmp as subvolume in profile validation

eed4098d8f Improve pre- and post-feature test

74cd182e8 Rename sap.slice to SAP.slice

£2d6865d7 Wait snapper to settle down to assert root-console
with some changes to "lib/virt_feature_test_base.pm" which might be related.

Problem
This can happen if the console is not properly initialized by test code.

From the error message it is unclear if test code is the culprit or some temporary, flaky error in the infrastructure. This could be
cleaner.

Acceptance criteria

e AC1: It is obvious to the test reviewer if this is a (temporary) infrastructure issue or a problem in test code that needs to be fixed

Suggestions

¢ Crosscheck how "current_console" is used within os-autoinst

¢ Improve error handling with explicit error messages on misuse

¢ Optional: Apply something similar for "reset_consoles". For this also see #60437 and
https://github.com/0s-autoinst/os-autoinst/pull/1288

Related issues:
Related to openQA Tests - action #71230: [SLE] Test 'default_install_svirt'i... Resolved 2020-09-11

History

#1 - 2020-09-11 08:03 - Xiaojing_liu

- Subject changed from job incompletes with auto_review: "Backend process died: "current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932." to job incompletes with auto_review: "Backend process died: "current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932.™

#2 - 2020-09-11 08:05 - Xiaojing_liu

- Subject changed from job incompletes with auto_review: "Backend process died: "current_console'is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932." to job incompletes with auto_review: "Backend process died: 'current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932.™

#3 - 2020-09-11 08:16 - Xiaojing_liu

- Subject changed from job incompletes with auto_review: "Backend process died: ‘current_console'is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932." to job incompletes with auto_review:"Backend process died: ‘current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932."

#4 - 2020-09-11 08:49 - Xiaojing_liu

- Subject changed from job incompletes with auto_review:"Backend process died: ‘current_console' is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932." to job incompletes with auto_review:"backend died: ‘current_console'is not set at
/usr/lib/os-autoinst/backend/baseclass.pm line 932."

#6 - 2020-09-14 14:01 - okurz

- Description updated

- Category set to Feature requests

- Status changed from New to Workable

- Target version set to Ready

latest job in this scenario seems fine again: Following
https://openqga.suse.de/tests/latest?arch=x86_64&distri=sle&flavor=0Online&machine=svirt-vmware65&test=default_install_svirt&version=15-SP3
yields passed result https://openga.suse.de/tests/4675996 . Unclear what fixed this but | assume it was someone from SUSE QA SLE Virtualization.
Still we can improve UX here.

#7 - 2020-09-15 01:39 - Xiaojing_liu
- Related to action #71230: [SLE] Test 'default_install_svirt' is incomplete in OSD with error: 'Backend process died' added

#8 - 2020-09-15 01:45 - Xiaojing_liu
okurz wrote:

latest job in this scenario seems fine again: Following
https://openqa.suse.de/tests/latest?arch=x86_64&distri=sle&flavor=Online&machine=svirt-vmware65&test=default_install_svirt&version=15-SP3
yields passed result https://openqga.suse.de/tests/4675996 . Unclear what fixed this but | assume it was someone from SUSE QA SLE
Virtualization. Still we can improve UX here.

| added the related ticket. The job was incomplete because tester did not specify ISO=xxx when triggering the job.

#9 - 2020-10-29 22:04 - okurz

- Target version changed from Ready to future

#10 - 2020-11-25 11:58 - okurz
- Parent task set to #62420

#11 - 2021-11-23 22:19 - okurz
- Parent task changed from #62420 to #102909
